The AbuseZero API is in public beta. Breaking changes are announced two weeks in advance.
AbuseZero

Create a rule

POST
/v1/rules

Authorization

apiKey
headerAuthorizationBearer <token>

Your secret API key, for example az_live_.... Use az_test_... keys against the sandbox.

Request Body

application/json
  1. body
name*string
when*string

Expression evaluated against the check context.

action*string
Value in"allow""review""deny"
priority?integer

Lower numbers run first.

Default100
enabled?boolean
Defaulttrue

Response Body

The rule was created.

application/json
  1. response
name*string
when*string

Expression evaluated against the check context.

action*string
Value in"allow""review""deny"
priority?integer

Lower numbers run first.

Default100
enabled?boolean
Defaulttrue
id*string
createdAt*string
Formatdate-time
Example Request
curl -X POST 'https://api.abusezero.com/v1/rules' \  -H 'Content-Type: application/json' \  -d '{  "name": "Block repeat trials",  "when": "benefit.previousClaims >= 1 && benefit.type == \"free_trial\"",  "action": "deny",  "priority": 10}'
Example Response
{  "name": "string",  "when": "string",  "action": "allow",  "priority": 100,  "enabled": true,  "id": "string",  "createdAt": "2019-08-24T14:15:22Z"}